@echo off
rem ****************************************************** {COPYRIGHT-TOP} ***
rem Licensed Materials - Property of IBM
rem 5724-M07
rem
rem (C) Copyright IBM Corp. 2006 All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************** {COPYRIGHT-END} ***
rem Command Line parameters
set ERRORLEVEL=
set IN_OR_OUT=%1
set KD4_HOME=%2
set PROP_FILE=%3
set KEY_VALUE_ARGS=%4 


if exist %KD4_HOME% goto kd4_home_ok
set ERROR_DIR=%KD4_HOME%
goto no_kd4_dir

:kd4_home_ok
set KD4_LIBDIR=%KD4_HOME%\KD4\lib
if exist %KD4_LIBDIR% goto kd4_libdir_ok
set ERROR_DIR=%KD4_LIBDIR%
goto no_kd4_dir

:kd4_libdir_ok
set JAVA_HOME=%KD4_HOME%\KD4\IBMJAVA142\JRE
set MAIN_CLASS=com.ibm.management.soa.agent.dp.DPDCConfigTool
set CLASS_PATH=%KD4_HOME%\KD4\LIB\kd4dpdcagent.jar
if exist %JAVA_HOME% goto kd4_javadir_ok
set ERROR_DIR=%JAVA_HOME%
goto no_kd4_dir

:kd4_javadir_ok
set KD4_LOGDIR=%KD4_HOME%\KD4\logs
if exist %KD4_LOGDIR% goto kd4_logdir_ok
set ERROR_DIR=%KD4_LOGDIR%
goto no_kd4_dir

:kd4_logdir_ok
if "%IN_OR_OUT%" == "-enable" goto call_config_tool
if "%IN_OR_OUT%" == "-disable" goto call_config_tool
goto syntax_error


:call_config_tool
echo Calling DPDCConfigTool to update %PROP_FILE%
rem strip quotes from the key/value arguments
set KEY_VALUE_ARGS=%KEY_VALUE_ARGS:"=%
%JAVA_HOME%\bin\java -cp %CLASS_PATH% %MAIN_CLASS% %IN_OR_OUT% %PROP_FILE% %KEY_VALUE_ARGS%
set KD4_RC=%ERRORLEVEL%
echo DPDCConfigTool return code = %KD4_RC%
goto done

:syntax_error
echo "Usage: configDPDC.bat [-enable | -disable] <KD4_BASE_DIR> <PROP_FILE> <-key1 value1 -key2 value2...>"
set KD4_RC=100
goto done

:no_kd4_dir
echo Error: %ERROR_DIR% not found
set KD4_RC=111
goto done

:done
set ERRORLEVEL=%KD4_RC%
